import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  fileSize: SortOrderSchema.optional(),
  folderId: SortOrderSchema.optional(),
  totalChunks: SortOrderSchema.optional()
}).strict();
export const CloudFileAvgOrderByAggregateInputObjectSchema: z.ZodType<Prisma.CloudFileAvgOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileAvgOrderByAggregateInput>;
export const CloudFileAvgOrderByAggregateInputObjectZodSchema = makeSchema();
